#include <Servo.h> //inclusão da biblioteca de SERVOS

Servo pulso; //criando o objeto Servo para o pulso
Servo dedos; //criando o objeto SERVO para os dedos

const int pinPot = A0; //pino de leitura analógica do potenciômetro
const int pinServopulso = 13; //pino para controle do pulso
const int pinServoDedos = 12; //pino para controle dos dedos
const int amostras = 1000; //quantidade de amostras para cálculo da média

float leitura = 0; //variável que armazenará a leitura do potenciômetro

void setup()
{
  Serial.begin(9600); //iniciando a comunicação serial
  pinMode(pinPot, INPUT); //definindo o pino de leitura  como entrada
  pulso.attach(pinServopulso); //conectando o objeto SERVO do pulso ao pino correspandente
  dedos.attach(pinServoDedos); //conectando o objeto SERVO dos dedos ao pino correspandente
}

void loop()
{
  int i = 0; //variável para a contagem de amostras de leitura
  while (i <= amostras) //loop de amostragem
  {
    leitura = leitura + analogRead(pinPot); //soma de todas as leituras
    i++; //contagem das leituras
  }
  leitura = (leitura / amostras); //calculando a média das leituras

  /*ajustando o intervalo das leituras (0 à 1023) ao
    intervalo de angulos dos servos (0 à 180).*/
  int angulo = map(leitura, 0, 1023, 10, 170);
  /*obs.: utilizaremos de 10 a 170 para evitar que os servos
    travem em seus pontos finais*/
  pulso.write(angulo); //atribuindo o novo angulo ao servo do pulso
  dedos.write(angulo); //atribuindo o novo angulo ao servo dos dedos
  Serial.println(angulo); //enviando o valor do angulo para a saída serial
}
